/************************************************************************
* Headerfile Seriell-I/O Drucklogger
*
* Version:	1.0
* Compiler:	GCC 4.1.1 (arm-elf-gcc)
* Datum:	23.01.2007 - 23.01.2007
* Autor:	Hermann Gnther, Saxotec GmbH & Co.KG
************************************************************************/
#ifndef __SERIO_H
#define __SERIO_H

//#include "LPCUSB/type.h"

//Mgliche Interfaces
#define SERIO_USB				0
#define SERIO_UART				1


//Sonderzeichen
#define SOH						0x01
#define DLE						0x10
#define EOT						0x04
#define ACK						0x06
#define NAK						0x15


//Interface initialisieren
void serio_init(U8 interface);
//bereits initialisiertes Interface auswhlen
void serio_select_interface(U8 interface);

//Auf neuen Befehl Prfen/Neuen Befehl abrufen, return 2 bedeutet kein neuer Befehl, ansonsten gilt return ack
U8 serio_get_command(U8 ** rec_buffer);

//Beginn einer Antwort markieren
void serio_send_start(U8 acknowledge);
//Ende einer Antwort markieren
void serio_send_stop(void);
//Ein Byte senden
void serio_send_char(U8 data);
//Mehrere Bytes senden
void serio_send_block(U8 * data, U16 number);
//Einen nullterminierten String senden
void serio_send_string(U8 * String);


#endif //#ifndef __SERIO_H
